<%--
 * Component: collab
 *
 * Description:
 *    Lists users currently logged in and are available for collaboration.
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="java.sql.*, imagemed.imsession.*"

%><%
	IMSession is = new IMSession( request, response, out ); 
//	response.setContentType("text/plain");
	is.bRegNotNeeded = true;

	if ( !is.regOK() ) {
		return;
	}

	if ( "true".equals( IMEnv.getConfigProperty( IMEnvBase.getEnv( "COLLAB_VAR" ) + "/settings.cfg", "HideUsers" ) ) ) {
		// Hide user list
		return;
	}
	
	String collabport = IMEnvBase.getEnv( "COLLAB_PORT" );
	if ( collabport == null )
		collabport = "1459";

	is.out.println( "ServerPort " + collabport );

	StringBuffer answer = new StringBuffer();
	try {
		Statement st = IMEnv.getDB().createStatement();
		String strSt = "SELECT USERNAME,IPADDR,a.USERID FROM " + IMEnvBase.getEnv( "ACCESSTBL" ) + " as a," +
				IMEnvBase.getEnv( "SESSIONTBL" ) + " as s WHERE a.USERID=s.USERID AND SIGNSTAT='Y'";
		ResultSet rs = st.executeQuery( strSt );
		while ( rs.next() ) {
			String uname = rs.getString( "USERNAME" );
			if ( uname == null || uname.equals( "" ) )
				uname = rs.getString( "USERID" );
			answer.append( rs.getString( "IPADDR" ) ).append( ' ' ).append( uname ).append( '\n' );
		}
	}
	catch ( Throwable t ) {
	}
	is.out.print( answer );

	if ( true ) {
		// For avoiding extra newline(s)
		return;
	}
%>