#!/bin/bash
#
# Component: sr
#
# Description:
#  Converts old reports stored in PbR files into SR Documents.
#
# Usage:
#   convertreport.sh [-f] [-d] -S <studyIUID>
#     -S <studyIUID>      :    parse report file(s) of this study
#     -d                  :    read study directory instead of database to get PbR and PbD file
#     -f                  :    force conversion for dummy PbR files with
#                         :    false dictation reference
#
# Since convertreport.sh.sh simply pass all parameters to convertReport, the usage info
# above is informative. Check convertReport for actual usage information.
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#
#


. $HOME/etc/setenv.sh

$SR_HOME/bin/convertreport $@
