<%--
 * Component: tools
 *
 *   md5 check sum of DICOM objects of archived study
 *
 * Parameters:
 *
 *   cSTYIUID : study IUID
 *
 *  [cFilesNameOnly : undocumented, unsafe solution]
 *
 * $Author$
 * $Date$
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="java.io.*,java.sql.*,imagemed.imsession.*,imagemed.jsputil.*,imagemed.util.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession(request, response, out); 

	// Check login
	if (!IfaceToolbox.isRegOK(is)) {
		is.out.println("ERROR: FAILED registration");
		return;
	}
	String styIUID = is.request.getParameter("cSTYIUID");
	if ( styIUID==null) {
		is.out.println("ERROR: studyIUID missing");
		return;
	}
	String dirPath = IMEnvBase.getEnv("ARCHIVE_DIR");
	try {
		Statement sql = IMEnv.getDB().createStatement();
		ResultSet rs  = sql.executeQuery("SELECT ARCHDIR FROM " +IMEnvBase.getEnv("ARCHIVETBL")+ " WHERE STYIUID='" +styIUID+ "'");
		if (!rs.next())	new Throwable(styIUID+"studyIUID is not found in Archive table.");
		dirPath += "/"+ rs.getString("ARCHDIR") +"/"+ styIUID; 
  }
  catch (Throwable t) {
  	is.out.println("ERROR: "+t.getMessage());
  	return;
  }
  File dir = new File(dirPath);
  if ( ! dir.exists() ) {
  	is.out.println("ERROR: "+dirPath+" directory is not exist");
  	return;
  }
  String[] objects = dir.list();
  if ( objects==null || objects.length==0 ) {
  	is.out.println("ERROR: "+dirPath+" directory is empty");
  	return;
  }
  Helper.sortCaseInSensitive(objects);
  
  String ignoreTagsFileName = (new File(IMEnvBase.getEnv("ARCHIVE_VAR")+"/ignoretags")).exists() ?
  	IMEnvBase.getEnv("ARCHIVE_VAR")+"/ignoretags" :
  	IMEnvBase.getEnv("ARCHIVE_HOME")+"/ignoretags" ;
  
  String[] env = {"HOME=" + IMEnvBase.getEnv("HOME")};
  String[] script = { IMEnvBase.getEnv("DICOM_HOME") + "/bin/objdiff.sh", "-m", "-i", ignoreTagsFileName, "" };
  
  for (int i=0; i<objects.length; i++) {
	  if (is.request.getParameter("cFilesNameOnly")!=null) {
	  	is.out.println( objects[i] );
	  	continue;
	  }
	  
	  script[4] = dirPath +"/"+ objects[i];
	  RunCommandResult md5 = Helper.runCommandEx(script,env);
  	if ( md5.getExitCode()==0 )
	  	is.out.print( md5.getOutput() );
  	else {
	  	is.out.println( md5.getError() );
	  	return;
  	}
  }
  if (true) return;
%>
