<%--
 * Component: tools
 *
 *    Waits for the queues to be emptied
 *
 * Parameters:
 *
 *   cMaxRetry   : Maximum retry of the checker task
 *
 * $Author$
 * $Date$
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="imagemed.util.Helper, imagemed.imsession.*,imagemed.jsputil.IfaceToolbox,java.io.*, com.erad.pacs.modules.gwt.descriptors.taskd.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%!

	static String runFile = IMEnvBase.getEnv( "TMP" ) + "/waitForTaksQueue.run";
	static String errFile = IMEnvBase.getEnv( "TMP" ) + "/waitForTaksQueue.err";
	static String endFile = IMEnvBase.getEnv( "TMP" ) + "/waitForTaksQueue.end";

	static void removeFile( String fname ) {
		File f = new File( fname );
		if ( f.exists() )
			f.delete();
	}

	static void removeFiles() {
		removeFile( runFile );
		removeFile( errFile );
		removeFile( endFile );
	}

%><%
	IMSession is = new IMSession( request, response, out ); 

	// Check login
	if ( !IfaceToolbox.isRegOK( is ) ) {
%>DISABLED<%
		return;
	}

	String parRetry = request.getParameter( "cMaxRetry" );
	if ( parRetry == null )
		parRetry = "10";

	if ( ( new File( endFile ) ).exists() ) {
		removeFiles();
%>OK<%
		return;
	}
	
	if ( ( new File( errFile ) ).exists() ) {
		removeFiles();
%>FAILED<%
		return;
	}
	
	if ( ( new File( runFile ) ).exists() ) {
%>WAIT<%
		return;
	}

	Helper.writeTextFile( runFile, "Running" );

	String taskCmd = IMEnvBase.getEnv( "TOOLS_HOME" ) + "/waitForQueueTask.sh -o touch -O \"" + endFile +
			"\" -f touch -F \"" + errFile + "\" -R " + parRetry;

	imagemed.util.CreateTaskFile.createTask( "WAIT_FOR_QUEUE", taskCmd, TaskType.ShellScript );

	if ( true ) {
%>WAIT<%
		return;
	}
%>