#!/bin/bash
#
# Collects UIDs from files
#
# SOP Instance UIDs
# Study Instance UIDs
# Series Instance UIDs
# Referenced Interpretation UIDs
# Referenced Dictation UIDs
#
#  Last Modified by   : $Author$
#  Last modificied at : $Date$
#  RCS File Name      : $RCSfile$
#  RCS Revision       : $Revision$
#  Locked by          : $Locker$
#  Symbolic name      : $Name$
#  State              : $State$
#


. $HOME/etc/setenv.sh


for i in "$@" ; do
	echo "$i :"
	$DICOM_HOME/bin/dcmdump +L +p +P 0008,0018 +P f215,1036 +P f215,1035 +P 0020,000d +P 0020,000e $i
	echo
done
