<%--
 * Component: tools
 *
 *   Print the study's storestate.rec to output
 *
 * Parameters:
 *
 *   cSTYIUID : Study Instance UID
 *
 * $Author$
 * $Date$
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="java.io.*,imagemed.imsession.*,imagemed.jsputil.*,imagemed.util.*,imagemed.exception.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out ); 

	try {
	
		// Check login
		if ( !IfaceToolbox.isRegOK( is ) )
			throw new IMIfaceException( is, "Has no registration info for this IP." );
		
		String styIUID = is.request.getParameter( "cSTYIUID" );
		if ( styIUID == null )
		  throw new IMIfaceException( is, "Study Instance UID parameter missing" );
		
		String storestateFileName = RepositoryHandler.getLocation( RepositoryHandler.DATA, styIUID ) + "/.info/storestate.rec";
		if ( !( new File( storestateFileName ) ).exists() )
		  throw new IMIfaceException( is, "Study and/or its storestate.rec file does not exist." );
	
	  is.out.print( Helper.readTextFile( storestateFileName ) );
	  
	  if ( true )
		  return;
	
	}
	catch ( IMIfaceException imi ) {
		is.out.print( imi.getFormattedMessage() );
		return;
	}
%>
